class AppNotification {
  final String id;
  final String title;
  final String description;
  final Map json;
  final AppNotificationSource source;

  AppNotification(
      this.id, this.title, this.description, this.json, this.source);

  AppNotification.named(
      {this.id, this.title, this.description, this.json, this.source});

  AppNotification copyWith(
      {String id,
      String title,
      String description,
      Map json,
      AppNotificationSource source}) {
    return AppNotification.named(
        id: id ?? this.id,
        title: title ?? this.title,
        description: description ?? this.description,
        json: json ?? this.json,
        source: source ?? this.source);
  }
}

enum AppNotificationSource { Message, Resume, Launch }
