import 'dart:convert';

import 'package:http/http.dart';
import 'package:ocg_app/ocg_app.dart';

class NotificationRepository {
  final Client client;

  NotificationRepository(this.client);
  Future<AppResponse<bool>> saveFirebaseToken(String fcmToken) async {
    try {
      String url = "/devices/keys";
      var response =
          await client.post(url, body: jsonEncode({"key": fcmToken}));
      jsonDecode(response.body);
      return AppResponse.named(data: true);
    } catch (e) {
      return AppResponse.named(error: e.toString());
    }
  }

  Future<AppResponse<bool>> deleteFirebaseToken(String fcmToken) async {
    try {
      String url = "/devices/keys/deleted";
      var response =
          await client.post(url, body: jsonEncode({"key": fcmToken}));
      jsonDecode(response.body);
      return AppResponse.named(data: true);
    } catch (e) {
      return AppResponse.named(error: e.toString());
    }
  }
}
